--- psgml.el	Thu May 20 11:53:30 1999
+++ \unzipped\lisp\psgml\psgml.el	Wed Dec 09 14:33:56 1998
@@ -380,8 +380,8 @@
 (defun sgml-parse-colon-path (cd-path)
   "Explode a colon-separated list of paths into a string list."
   (let (cd-list (cd-start 0) cd-colon)
-    (setq cd-path (concat cd-path path-separator))
-    (while (setq cd-colon (string-match path-separator cd-path cd-start))
+    (setq cd-path (concat cd-path ":"))
+    (while (setq cd-colon (string-match ":" cd-path cd-start))
       (setq cd-list
 	    (nconc cd-list
 		   (list (if (= cd-start cd-colon)
@@ -394,8 +394,8 @@
 (defcustom sgml-public-map (sgml-parse-colon-path
 			    (or (getenv "SGML_PATH")
 				;; Wing change
-				(concat "%S" path-separator
-					(directory-file-name sgml-data-directory)
+				(concat "%S:" (directory-file-name
+					       sgml-data-directory)
 					"/%o/%c/%d")))
   
   "*Mapping from public identifiers to file names.
@@ -427,7 +427,7 @@
 (defcustom sgml-catalog-files (sgml-parse-colon-path
 			    (or (getenv "SGML_CATALOG_FILES")
 				;; Wing addition
-				(concat "CATALOG" path-separator
+				(concat "CATALOG:"
                                        (expand-file-name
                                         "CATALOG"
                                         sgml-data-directory))))
